if test -v DISTROBOX_HOST_HOME; then unset ZDOTDIR; exec zsh; fi # fix distrobox
if test "x$TERMINALNAME" = "xalacritty"; then eval "$(zellij setup --generate-auto-start zsh)"; fi # autostart zellij only in alacritty

# startup banner
potentialBanner=('bofh; echo " - BOFH"' 'fastfetch' 'hackerquotes' 'colorscript random')
eval "$potentialBanner[$RANDOM%$#potentialBanner+1]"

# ohmyposh theme
potentialTheme=('emodipt-extend.omp.json' '1_shell.omp.json' 'kali.omp.json' 'lambda.omp.json' 'pure.omp.json')
export POSH_TOOLTIP=false
export POSH_TRANSIENT=true
export POSH_THEME="/usr/share/oh-my-posh/themes/$potentialTheme[$RANDOM%$#potentialTheme+1]"

# and source plugins
eval "$(sheldon source)"
